An interface describing the methods available on the `helper` object passed to the `process` call of fragment filters. It provides information about the target object and methods to acquire and release pass textures.

@see FragmentFilter#process()

### Hierarchy

- IFilterHelper

### Implemented by

- FilterHelper

## Index

### Properties

- target
- targetBounds

### Methods

- getTexture
- putTexture

## Properties

### target

target: DisplayObject

- Defined in lib/starling/filters/IFilterHelper.d.ts:36

The display object the filter is currently attached to.

### targetBounds

targetBounds: Rectangle

- Defined in lib/starling/filters/IFilterHelper.d.ts:33

The bounds of the target object (plus padding) in stage coordinates.

## Methods

### getTexture

- getTexture(resolution?: number): Texture

- - Defined in lib/starling/filters/IFilterHelper.d.ts:26

  Gets a pass texture from the pool, or creates a new one (cleared and ready to be used as render target). Its size is dictated by the bounds of the target display object plus padding.

  Beware: each call of this method counts as one render pass. For performance reasons, the filter may be configured to render the last pass directly to the back buffer. In that case, this method will return `null` for the last pass! That's the sign for the `process` method to draw to the back buffer. If you receive `null` too soon, the filter class probably didn't correctly override `numPasses`.

  #### Parameters

  - ##### Optional resolution: number

  #### Returns Texture

### putTexture

- putTexture(texture: Texture): void

- - Defined in lib/starling/filters/IFilterHelper.d.ts:30

  Puts a texture back into the pool to be reused later (or to be disposed with the pool).

  #### Parameters

  - ##### texture: Texture

  #### Returns void

Generated using TypeDoc